| TagLib 1.13 |  |

Public Member Functions | Static Public Member Functions | List of all members
TagLib::ByteVectorList Class Reference

A list of ByteVectors. More...

`#include <tbytevectorlist.h>`

Inheritance diagram for TagLib::ByteVectorList:
[legend]
Collaboration diagram for TagLib::ByteVectorList:
[legend]

## Public Member Functions
| ByteVectorList ()
virtual | ~ByteVectorList ()
| ByteVectorList (const ByteVectorList &l)
ByteVector | toByteVector (const ByteVector &separator=" ") const
Public Member Functions inherited from TagLib::List< ByteVector >
| List ()
| List (const List< ByteVector > &l)
virtual | ~List ()
Iterator | begin ()
ConstIterator | begin () const
Iterator | end ()
ConstIterator | end () const
Iterator | insert (Iterator it, const ByteVector &value)
List< ByteVector > & | sortedInsert (const ByteVector &value, bool unique=false)
List< ByteVector > & | append (const ByteVector &item)
List< ByteVector > & | append (const List< ByteVector > &l)
List< ByteVector > & | prepend (const ByteVector &item)
List< ByteVector > & | prepend (const List< ByteVector > &l)
List< ByteVector > & | clear ()
unsigned int | size () const
bool | isEmpty () const
Iterator | find (const ByteVector &value)
ConstIterator | find (const ByteVector &value) const
bool | contains (const ByteVector &value) const
Iterator | erase (Iterator it)
const ByteVector & | front () const
ByteVector & | front ()
const ByteVector & | back () const
ByteVector & | back ()
void | setAutoDelete (bool autoDelete)
ByteVector & | operator[] (unsigned int i)
const ByteVector & | operator[] (unsigned int i) const
List< ByteVector > & | operator= (const List< ByteVector > &l)
void | swap (List< ByteVector > &l)
bool | operator== (const List< ByteVector > &l) const
bool | operator!= (const List< ByteVector > &l) const

## Static Public Member Functions
static ByteVectorList | split (const ByteVector &v, const ByteVector &pattern, int byteAlign=1)
static ByteVectorList | split (const ByteVector &v, const ByteVector &pattern, int byteAlign, int max)

## Additional Inherited Members
Protected Member Functions inherited from TagLib::List< ByteVector >
void | detach ()

## Detailed Description

A list of ByteVectors.

A List specialization with some handy features useful for ByteVectors.

## Constructor & Destructor Documentation

## ◆ ByteVectorList() [1/2]

TagLib::ByteVectorList::ByteVectorList | ( |  | ) |

Construct an empty ByteVectorList.

## ◆ ~ByteVectorList()

virtual TagLib::ByteVectorList::~ByteVectorList | ( |  | ) |
| virtual

Destroys this ByteVectorList instance.

## ◆ ByteVectorList() [2/2]

TagLib::ByteVectorList::ByteVectorList | ( | const ByteVectorList & | l | ) |

Make a shallow, implicitly shared, copy of l. Because this is implicitly shared, this method is lightweight and suitable for pass-by-value usage.

## Member Function Documentation

## ◆ split() [1/2]

static ByteVectorList TagLib::ByteVectorList::split | ( | const ByteVector & | v,
|  | const ByteVector & | pattern,
|  | int | byteAlign,
|  | int | max
| ) |  |
| static

Splits the ByteVector v into several strings at pattern. This will not include the pattern in the returned ByteVectors. max is the maximum number of entries that will be separated. If max for instance is 2 then a maximum of 1 match will be found and the vector will be split on that match.

## ◆ split() [2/2]

static ByteVectorList TagLib::ByteVectorList::split | ( | const ByteVector & | v,
|  | const ByteVector & | pattern,
|  | int | byteAlign = `1`
| ) |  |
| static

Splits the ByteVector v into several strings at pattern. This will not include the pattern in the returned ByteVectors.

## ◆ toByteVector()

ByteVector TagLib::ByteVectorList::toByteVector | ( | const ByteVector & | separator = `" "` | ) | const

Convert the ByteVectorList to a ByteVector separated by separator. By default a space is used.

The documentation for this class was generated from the following file:

- tbytevectorlist.h